From d5beef0643f7ce66ccb9b1a0138224931ba155d0 Mon Sep 17 00:00:00 2001
From: Juan Jose Santamaria Flecha <juanjo.santamaria@gmail.com>
Date: Sat, 13 Mar 2021 15:37:29 -0500
Subject: [PATCH] MinGW x64 setjmp/longjmp

---
 src/include/c.h | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/src/include/c.h b/src/include/c.h
index 2b45e6d..454bc8e 100644
--- a/src/include/c.h
+++ b/src/include/c.h
@@ -1340,8 +1340,13 @@ extern unsigned long long strtoull(const char *str, char **endptr, int base);
  */
 #ifdef WIN32
 #define sigjmp_buf jmp_buf
+#if defined(__MINGW64__)
+#define sigsetjmp(x,y) __builtin_setjmp((x))
+#define siglongjmp(x,y) __builtin_longjmp((x), 1)
+#else 
 #define sigsetjmp(x,y) setjmp(x)
 #define siglongjmp longjmp
+#endif /* defined(__MINGW64__) */
 #endif
 
 /* EXEC_BACKEND defines */
-- 
2.11.0

